<?php
/*
+ ----------------------------------------------------------------------------+
|     e107 website system
|
|     ¦Steve Dunstan 2001-2002
|     http://e107.org
|     jalist@e107.org
|
|     Released under the terms and conditions of the
|     GNU General Public License (http://gnu.org).
|
|     $Source: /cvsroot/e107/e107_0.7/e107_themes/children_place/theme.php,v $
|     $Revision: 1.00 $
|     $Date: 2011/07/02 $
|     $Author: fizi $
+----------------------------------------------------------------------------+
*/
if (!defined('e107_INIT')) { exit; }
if (!defined("USER_WIDTH")){ define("USER_WIDTH","width:100%"); }

// [multilanguage]
include_lan(e_THEME."children_place/languages/".e_LANGUAGE.".php");


// [theme]

$themename = "Children Place";
$themeversion = "1.0";
$themeauthor = "fizi";
$themeemail = "deadmix@gmail.com";
$themewebsite = "http://www.monsitebox.net";
$themedate = "01/06/2013";
$themeinfo = "";
$xhtmlcompliant = TRUE;	// If set to TRUE will display an XHTML compliant logo in theme manager
$csscompliant = TRUE;	// If set to TRUE will display a CSS compliant logo in theme manager

// Define which icon set to use.
// There are two possible values here 'dark' and 'lite'.
// If your theme has a light background then use 'lite' and vice versa for dark themes.
// Because IE does not yet support Alpha transparency with PNG24 images, all of e107's 
// icons have been saved with both a light and dark matte background (to prevent jagged 
// edges that you see when no matte is present).
// The IMODE is specifying which of the icon sets to use.
// IE7 will support Alpha transparent PNG's at which point we will create a third set
// of icons (using alpha transparency instead of a matte) and IMODE will gradually be 
// filtered out as this new set will work with all background colours.
// Uncomment the line below to define IMODE (remove the // ). Default is 'lite'.

define("IMODE", "lite");

// Theme disclaimer is displayed in your site disclaimer appended to the site disclaimer text.
// Uncomment the line below to set a theme disclaimer (remove the // ).

define("THEME_DISCLAIMER", "<br /><i>".LAN_THEME_6."</i>");

// Dont render core style sheet link.
// the contents of e107_files/e107.css have been copied to this themes style.css.
// By setting $no_core_css to TRUE below we can prevent the <link> tag 
// that would normally be generated in the <head> of the page from being outputted.
// This saves us a call by the browser to a stylesheet that we no longer need.

 $no_core_css = TRUE;

// Output into <head> section.
// Anything echoed from within the theme_head() function gets outputted into the <head> of your page.
// Please note that you have other choices for <head> based javascript. You can create a theme.js file 
// in your themes folder and a link will automatically be generated to it in the <head> of your page.
// If you have javascript that is independant of the theme rather than use theme.js or the theme_head()
// function below, its advisable to instead create a new file e107_files/user.js, placing your script 
// into this, and as with theme.js, a link will automatically be generated to this file.
// Uncomment the following three lines to use.

// function theme_head() {
// echo "<script></script>
// ";
// }


// Header and footer templates for the body of your site.
// These are the header and footer that wraps the content of a page.
// Note that these are the templates for *inbetween* the <body> and </body> tags. 
// The rest of the output (eg. the <head> section of the page) are covered by 
// the header and footer template files in e107_themes/templates.
// These are called header_default.php and footer_default.php.
// If you wish to use your own versions of these files uncomment the line below (remove the // ) 
// and edit it so that the text string represents the postfix of the new set of files.
// eg. using the example text e107 will include these files: 
// e107_themes/templates/header_your_version.php and e107_themes/templates/footer_your_version.php 
// instead of the default:
// e107_themes/templates/header_default.php and e107_themes/templates/footer_default.php 
// Please note however that using non default core header and footer templates is not recommended 
// and that the flexibility of these files enables you to add and edit content to them without editing 
// the files directly. Documentation for this can be found on e107.org.


// [Next and Prev button]
$register_sc[]= 'NEXTPREV';

// [layout]
$layout = "_default";


// Default layout
$HEADER = "
<div id='page'>
  <div id='page-inner'>
    <div id='main-menu'>
	    <div id='main-menu-inner'>
			  {SITELINKS_ALT=no_icons+noclick}
	    </div>
	  </div>
    <div id='header'>
      <div id='sitename'>
			  <h1 class='site-title'><a href='".e_HTTP."index.php' title='{SITENAME}'>{SITENAME}</a></h1>
				<h2 class='site-description'>{SITETAG}</h2>
			</div>
    </div>
    <div id='main-content'>
      <div id='main-content-inner'>
        <div id='main-content-middle'>
          <div id='main-content-left'>
            {SETSTYLE=leftside}
		        ";
$FOOTER = "             
          </div>
          <div id='main-content-right'>
            {SETSTYLE=rightside}
            {MENU=1}
            {MENU=2}
          </div>
        </div>
        <div id='main-content-bottom'>
          <div id='bottom-menu1'>
            {SETSTYLE=bottom-menus}
            {MENU=3}
          </div>
          <div id='bottom-menu2'>
            {SETSTYLE=bottom-menus}
            {MENU=4}
          </div>
        </div>
      </div>
    </div>
    <div id='footer'>
      <div class='site-info'>
        {SITEDISCLAIMER}
        <div class='theme-disclaimer'>{THEME_DISCLAIMER}</div>    
      </div> 
    </div>   
  </div>
</div>            
";


// Custom layout
$CUSTOMHEADER['news'] = "
<div id='page'>
  <div id='page-inner'>
    <div id='main-menu'>
	    <div id='main-menu-inner'>
			  {SITELINKS_ALT=no_icons+noclick}
	    </div>
	  </div>
    <div id='header'>
      <div id='sitename'>
			  <h1 class='site-title'><a href='".e_HTTP."index.php' title='{SITENAME}'>{SITENAME}</a></h1>
				<h2 class='site-description'>{SITETAG}</h2>
			</div>
    </div>
    <div id='main-content'>
      <div id='main-content-inner'>
        <div id='main-content-top'>
          <div id='welcome-message'>
            {SETSTYLE=wmessage}
            {WMESSAGE=force}
          </div>
          <div id='login-box'>
            {SETSTYLE=login-box}
            {PLUGIN=login_menu}
          </div>
        </div>
        <div id='main-content-middle'>
          <div id='main-content-left'>
            {SETSTYLE=leftside}
		        ";
$CUSTOMFOOTER['news'] = "             
          </div>
          <div id='main-content-right'>
            {SETSTYLE=rightside}
            {MENU=1}
            {MENU=2}
          </div>
        </div>
        <div id='main-content-bottom'>
          <div id='bottom-menu1'>
            {SETSTYLE=bottom-menus}
            {MENU=3}
          </div>
          <div id='bottom-menu2'>
            {SETSTYLE=bottom-menus}
            {MENU=4}
          </div>
        </div>
      </div>
    </div>
    <div id='footer'>
      <div class='site-info'>
        {SITEDISCLAIMER}
        <div class='theme-disclaimer'>{THEME_DISCLAIMER}</div>    
      </div> 
    </div>   
  </div>
</div>            
";

$CUSTOMPAGES['news'] ="index.php news.php"; 


// Custom layout for news extend
$CUSTOMHEADER['news_extend'] = "
<div id='page'>
  <div id='page-inner'>
    <div id='main-menu'>
	    <div id='main-menu-inner'>
			  {SITELINKS_ALT=no_icons+noclick}
	    </div>
	  </div>
    <div id='header'>
      <div id='sitename'>
			  <h1 class='site-title'><a href='".e_HTTP."index.php' title='{SITENAME}'>{SITENAME}</a></h1>
				<h2 class='site-description'>{SITETAG}</h2>
			</div>
    </div>
    <div id='main-content'>
      <div id='main-content-inner'>
        <div id='main-content-middle'>
          <div id='main-content-left'>
            {SETSTYLE=leftside}
		        ";
$CUSTOMFOOTER['news_extend'] = "             
          </div>
          <div id='main-content-right'>
            {SETSTYLE=rightside}
            {MENU=1}
            {MENU=2}
          </div>
        </div>
        <div id='main-content-bottom'>
          <div id='bottom-menu1'>
            {SETSTYLE=bottom-menus}
            {MENU=3}
          </div>
          <div id='bottom-menu2'>
            {SETSTYLE=bottom-menus}
            {MENU=4}
          </div>
        </div>
      </div>
    </div>
    <div id='footer'>
      <div class='site-info'>
        {SITEDISCLAIMER}
        <div class='theme-disclaimer'>{THEME_DISCLAIMER}</div>    
      </div> 
    </div>   
  </div>
</div>            
";      

$CUSTOMPAGES['news_extend'] ="news.php?extend news.php?item news.php?cat comment.php?comment.news submitnews.php"; 


// Full layout
$CUSTOMHEADER['full'] = "
<div id='page'>
  <div id='page-inner'>
    <div id='main-menu'>
	    <div id='main-menu-inner'>
			  {SITELINKS_ALT=no_icons+noclick}
	    </div>
	  </div>
    <div id='header'>
      <div id='sitename'>
			  <h1 class='site-title'><a href='".e_HTTP."index.php' title='{SITENAME}'>{SITENAME}</a></h1>
				<h2 class='site-description'>{SITETAG}</h2>
			</div>
    </div>
    <div id='main-content'>
      <div id='main-content-inner'>
        <div id='main-content-middle'>
          <div id='main-content-full'>
            {SETSTYLE=leftside}
		        ";
$CUSTOMFOOTER['full'] = "             
          </div>
        </div>
        <div id='main-content-bottom'>
          <div id='bottom-menu1'>
            {SETSTYLE=bottom-menus}
            {MENU=3}
          </div>
          <div id='bottom-menu2'>
            {SETSTYLE=bottom-menus}
            {MENU=4}
          </div>
        </div>
      </div>
    </div>
    <div id='footer'>
      <div class='site-info'>
        {SITEDISCLAIMER}
        <div class='theme-disclaimer'>{THEME_DISCLAIMER}</div>    
      </div> 
    </div>   
  </div>
</div>            
";

$CUSTOMPAGES['full'] ="forum/";   
   

function rand_tag(){
        $tags = file(e_BASE."files/taglines.txt");
        return stripslashes(htmlspecialchars($tags[rand(0, count($tags))]));
}


//        [newsstyle]
$NEWSSTYLE = "
<div class='post'>
  <div class='post-date'>{NEWSDATE}</div>
  <div class='post-title'>
    <h2>{NEWSTITLELINK=extend}</h2>
  </div>
  <div class='post-data'>".LAN_THEME_4."&nbsp;{NEWSAUTHOR}&nbsp;&nbsp;|&nbsp;&nbsp;".LAN_THEME_8."&nbsp;{NEWSCATEGORY}&nbsp;&nbsp;|&nbsp;&nbsp;{NEWSCOMMENTS}</div>
  <div class='imgbox'>           
    {NEWSIMAGE}
  </div>   
  <div class='post-body'>         
    {NEWSBODY}
  </div>
  <div class='post-bottom'>
    <div class='news-extend'>{EXTENDED}</div>
    <div class='post-options'>{EMAILICON}{PRINTICON}{PDFICON}{ADMINOPTIONS}</div>
  </div>
</div> 
";      
      

//  [list of news category]
$NEWSLISTSTYLE = "
<div class='post'>
  <div class='post-date'>{NEWSDATE}</div>
  <div class='post-title'>
    <h2>{NEWSTITLELINK=extend}</h2>
  </div>
  <div class='post-data'>".LAN_THEME_4."&nbsp;{NEWSAUTHOR}&nbsp;&nbsp;|&nbsp;&nbsp;".LAN_THEME_8."&nbsp;{NEWSCATEGORY}&nbsp;&nbsp;|&nbsp;&nbsp;{NEWSCOMMENTS}</div>
  <div class='imgbox'>           
    {NEWSIMAGE}
  </div>   
  <div class='post-body'>         
    {NEWSBODY}
  </div>
  <div class='post-bottom'>
    <div class='news-extend'>{EXTENDED}</div>
    <div class='post-options'>{EMAILICON}{PRINTICON}{PDFICON}{ADMINOPTIONS}</div>
  </div>
</div> 
";    


define('ICONPRINTPDF', 'pdf.png');
define('ICONMAIL', 'email.png');
define('ICONPRINT', 'printer.png');
define('ICONSTYLE', 'float: left; border:0');
define('COMMENTLINK', LAN_THEME_1);
define('COMMENTOFFSTRING', LAN_THEME_2);
define('PRE_EXTENDEDSTRING', '');
define('EXTENDEDSTRING', LAN_THEME_3);
define('POST_EXTENDEDSTRING', '');
define('TRACKBACKSTRING', LAN_THEME_7);
define('TRACKBACKBEFORESTRING', '&nbsp;|&nbsp;');


// [linkstyle]
function linkstyle($linkstyle){
global $style;

define('PRELINK', ""); // the html to use before the links are displayed
define('POSTLINK', ""); // the html to use before the links are displayed
// define('linkclass', ""); // the css class to apply to each link
// define('linkclass_hilite', ""); // the css class to apply to the currently selected link
define('LINKSTART', ""); // the html used before each link
// define('LINKSTART_HILITE', " "); // Current page highlights the corresponding menu-item
define('LINKEND', ""); // the html used after each link 
define('LINKDISPLAY', 1); // the link display mode
define('LINKALIGN', "center"); // how the link should be aligned
// define('linkseperator', " ");
}

define('BULLET', "bullet.png");
define('bullet', "bullet.png");



//        [tablestyle]
function tablestyle($caption, $text, $mode){
        global $style;
                        
        if($style == "wmessage"){                                       
		      echo "
		        <div class='wmessage-box'>  
              <div class='wmessage-box-title'>           		                                                      
                <h2>{$caption}</h2>
              </div>
              <div class='wmessage-box-body'>{$text}</div>
            </div>                                                                                                  
          "; 
        }else if($style == "login-box"){                  
          echo "
            <div class='login-menu-box'>  
              <div class='login-menu-box-title'>           		                                                      
                <h2>{$caption}</h2>
              </div>
              <div class='login-menu-box-body'>{$text}</div>
            </div>                                                                                                        
          "; 
        }else if($style == "leftside"){                  
          echo "
            <div class='leftmenu-box'>  
              <div class='leftmenu-box-title'>           		                                                      
                <h2>{$caption}</h2>
              </div>
              <div class='leftmenu-box-body'>{$text}</div>
            </div>                                                                                                         
          ";   
        }else if($style == "rightside"){                  
          echo "
            <div class='rightmenu-box'>  
              <div class='rightmenu-box-title'>           		                                                      
                <h2>{$caption}</h2>
              </div>
              <div class='rightmenu-box-body'>{$text}</div>
            </div>                                                                                                         
          ";   
        }else if($style == "bottom-menus"){                  
          echo "
            <div class='bottommenu-box'>  
              <div class='bottommenu-box-title'>           		                                                      
                <h2>{$caption}</h2>
              </div>
              <div class='bottommenu-box-body'>{$text}</div>
            </div>                                                                                                         
          ";                                      
        }else{
          echo "
            <div class='spacer'>	        
		          <div class='othermenu-box'>
		            <div class='othermenu-title'>         
                  <h2>{$caption}</h2>                  
                </div>		                                 
                <div class='othermenu-body'>{$text}</div>                       
              </div>
            </div>            
          ";        
        } 
}

// chatbox post style
$CHATBOXSTYLE = "<br />
<div style='text-align: left'>
<img src='".THEME_ABS."images/bullet3.png' alt='' style='width: 18px; height: 18px; vertical-align: middle' />
<b>{USERNAME}</b><br /><span class='smalltext'>{TIMEDATE}</span><br />{MESSAGE}</div>
";


$SEARCH_SHORTCODE = "
  <input class='search-box' type='text' name='q' size='20' value='".LAN_THEME_9."...' maxlength='50' onclick=\"this.value=''\" />
  <input class='search-button' type='submit' name='s' value='".LAN_THEME_9."' />
  ";

?>